GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Data Fields | Protected Member Functions
grpc::CallOpRecvMessage< R > Class Template Reference

`#include <call.h>`

## Public Member Functions
| CallOpRecvMessage ()
void | RecvMessage (R *message)

## Data Fields
bool | got_message

## Protected Member Functions
void | AddOp (grpc_op *ops, size_t *nops)
void | FinishOp (bool *status, int max_message_size)

## Constructor & Destructor Documentation

template<class R >

grpc::CallOpRecvMessage< R >::CallOpRecvMessage | ( |  | ) |
| inline

## Member Function Documentation

template<class R >

void grpc::CallOpRecvMessage< R >::AddOp | ( | grpc_op * | ops,
|  | size_t * | nops
| ) |  |
| inline protected

template<class R >

void grpc::CallOpRecvMessage< R >::FinishOp | ( | bool * | status,
|  | int | max_message_size
| ) |  |
| inline protected

template<class R >

void grpc::CallOpRecvMessage< R >::RecvMessage | ( | R * | message | ) |
| inline

## Field Documentation

template<class R >

bool grpc::CallOpRecvMessage< R >::got_message

The documentation for this class was generated from the following file:

- include/grpc++/impl/call.h